Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class Folders

    java.lang.Object
      com.compoze.exchange.Folders

All Implemented Interfaces:
  java.io.Serializable

public class Folders
extends java.lang.Object
implements java.io.Serializable

This class contains the methods used for folder manipulation.

See Also:
  Serialized Form

Method Summary
`void` | `serverCopyFolders(java.lang.String[] srcFolderIDs, java.lang.String sFolderID, java.lang.String sNewName, boolean bRecursive)` Hits the server to copy folders to another folder.
`Folder` | `serverCreateFolder(java.lang.String sFolderID, java.lang.String sName, PropertyValue[] values, PropertyKey[] keys)` Hits the server to add a folder.
`void` | `serverDeleteFolders(java.lang.String[] folderIDs, boolean bDeletedItems)` Hits the server to delete a folder.
`Folder` | `serverGetFolder(DefaultFolderType type, PropertyKey[] keys)` Queries the server to get the specified default folder type.
`Folder` | `serverGetFolder(java.lang.String sFolderID, PropertyKey[] keys)` Queries the server to get a single folder.
`PropertyValue[][]` | `serverGetFolderProperties(java.lang.String[] folderIDs, PropertyKey[] keys)` Queries the server to get properties from folders.
`Folder[]` | `serverGetFolders(DefaultFolderType[] defaultFolderTypes, PropertyKey[] keys, int iDepth, java.lang.String[] expandedFolderIDs, FolderType[] folderTypes)` Queries the server to get sub-folders off of a folder.
`Folder[]` | `serverGetFolders(DefaultFolderType defaultFolderType, PropertyKey[] keys, int iDepth, java.lang.String[] expandedFolderIDs, FolderType[] folderTypes)` Queries the server to get sub-folders off of a folder.
`Folder[]` | `serverGetFolders(java.lang.String sFolderID, PropertyKey[] keys, int iDepth, java.lang.String[] expandedFolderIDs, FolderType[] folderTypes)` Queries the server to get subfolders off of a folder.
`void` | `serverMoveFolders(java.lang.String[] srcFolderIDs, java.lang.String sFolderID)` Hits the server to move folders to another folder.
`void` | `serverUpdateFolders(java.lang.String[] folderIDs, PropertyValue[] values)` Hits the server to update folders on the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serverGetFolder

    public Folder serverGetFolder(java.lang.String sFolderID,
                                  PropertyKey[] keys)
                           throws ExchangeException

  Queries the server to get a single folder.

  Parameters:
    `sFolderID` - the folder ID (if `null` then root folder is retrieved)
    `keys` - the properties to fetch for each folder
  Returns:
    the folder
  Throws:
    `ExchangeException`

### serverGetFolders

    public Folder[] serverGetFolders(DefaultFolderType defaultFolderType,
                                     PropertyKey[] keys,
                                     int iDepth,
                                     java.lang.String[] expandedFolderIDs,
                                     FolderType[] folderTypes)
                              throws ExchangeException

  Queries the server to get sub-folders off of a folder.

  Parameters:
    `defaultFolderType` - the default folder type (may not be `null`)
    `keys` - the properties to fetch for each folder
    `iDepth` - the depth of folders to retrieve (0 for only starting folder, N for depth of N, -1 for infinite depth)
    `expandedFolderIDs` - the IDs of folders below a depth of 1 which are to be expanded
    `folderTypes` - the types of folders to retrieve
  Returns:
    an array of folders (an empty array if there are no folders)
  Throws:
    `ExchangeException`

### serverGetFolders

    public Folder[] serverGetFolders(DefaultFolderType[] defaultFolderTypes,
                                     PropertyKey[] keys,
                                     int iDepth,
                                     java.lang.String[] expandedFolderIDs,
                                     FolderType[] folderTypes)
                              throws ExchangeException

  Queries the server to get sub-folders off of a folder.

  Parameters:
    `defaultFolderTypes` - the default folder types (may not be `null`)
    `keys` - the properties to fetch for each folder
    `iDepth` - the depth of folders to retrieve (0 for only starting folder, N for depth of N, -1 for infinite depth)
    `expandedFolderIDs` - the IDs of folders below a depth of 1 which are to be expanded
    `folderTypes` - the types of folders to retrieve
  Returns:
    an array of folders (an empty array if there are no folders)
  Throws:
    `ExchangeException`

### serverGetFolders

    public Folder[] serverGetFolders(java.lang.String sFolderID,
                                     PropertyKey[] keys,
                                     int iDepth,
                                     java.lang.String[] expandedFolderIDs,
                                     FolderType[] folderTypes)
                              throws ExchangeException

  Queries the server to get subfolders off of a folder.

  Parameters:
    `sFolderID` - the folder ID (if `null` then root folders are retrieved)
    `keys` - the properties to fetch for each folder
    `iDepth` - the depth of folders to retrieve (0 for only starting folder, N for depth of N, -1 for infinite depth)
    `expandedFolderIDs` - the IDs of folders below a depth of 1 which are to be expanded
    `folderTypes` - the types of folders to retrieve
  Returns:
    an array of folders (an empty array if there are no folders)
  Throws:
    `ExchangeException`

### serverCreateFolder

    public Folder serverCreateFolder(java.lang.String sFolderID,
                                     java.lang.String sName,
                                     PropertyValue[] values,
                                     PropertyKey[] keys)
                              throws ExchangeException

  Hits the server to add a folder.

  Parameters:
    `sFolderID` - the ID of the parent folder
    `sName` - the name of the new folder
    `values` - any initial property values to set
    `keys` - the properties to bring back from the new folder
  Returns:
    the new folder with properties loaded for each of the `keys`
  Throws:
    `ExchangeException`

### serverDeleteFolders

    public void serverDeleteFolders(java.lang.String[] folderIDs,
                                    boolean bDeletedItems)
                             throws ExchangeException

  Hits the server to delete a folder.

  Parameters:
    `folderIDs` - the IDs of the folders to delete
    `bDeletedItems` - if `true`, place folder into deleted items
  Throws:
    `ExchangeException`

### serverCopyFolders

    public void serverCopyFolders(java.lang.String[] srcFolderIDs,
                                  java.lang.String sFolderID,
                                  java.lang.String sNewName,
                                  boolean bRecursive)
                           throws ExchangeException

  Hits the server to copy folders to another folder.

  Parameters:
    `srcFolderIDs` - the ID of the source folders
    `sFolderID` - the ID of the target folder
    `sNewName` - the name for the new folder (or `null` to keep the same name
    `bRecursive` - if `true`, also copy subfolders
  Throws:
    `ExchangeException`

### serverMoveFolders

    public void serverMoveFolders(java.lang.String[] srcFolderIDs,
                                  java.lang.String sFolderID)
                           throws ExchangeException

  Hits the server to move folders to another folder.

  Parameters:
    `srcFolderIDs` - the ID of the source folders
    `sFolderID` - the ID of the target folder
  Throws:
    `ExchangeException`

### serverUpdateFolders

    public void serverUpdateFolders(java.lang.String[] folderIDs,
                                    PropertyValue[] values)
                             throws ExchangeException

  Hits the server to update folders on the server.

  Parameters:
    `folderIDs` - the IDs of the folder to update
    `values` - the values to update on the server
  Throws:
    `ExchangeException`

### serverGetFolderProperties

    public PropertyValue[][] serverGetFolderProperties(java.lang.String[] folderIDs,
                                                       PropertyKey[] keys)
                                                throws ExchangeException

  Queries the server to get properties from folders.

  Parameters:
    `folderIDs` - the folder IDs to get the properties for
    `keys` - keys for the properties to get
  Returns:
    a two dimensional array of the property values, where the first dimension is the folder and the second is the properties within the folder
  Throws:
    `ExchangeException`

### serverGetFolder

    public Folder serverGetFolder(DefaultFolderType type,
                                  PropertyKey[] keys)
                           throws ExchangeException

  Queries the server to get the specified default folder type.

  Parameters:
    `type` - the default folder type to get
    `keys` - keys for the properties to get
  Returns:
    the default folder type or `null` if not available
  Throws:
    `ExchangeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.